/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1997. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL_1                         1
#define  PANEL_1_CONTINUE                2       /* callback function: initPanel */
#define  PANEL_1_CANCEL                  3       /* callback function: Cancel */
#define  PANEL_1_RESOURCE_NAME           4       /* callback function: initPanel */
#define  PANEL_1_ID_QUERY                5       /* callback function: initPanel */
#define  PANEL_1_RESET_DEVICE            6       /* callback function: initPanel */

#define  PANEL_2                         2
#define  PANEL_2_CONTINUE_3              2       /* callback function: configPanel */
#define  PANEL_2_QUIT                    3       /* callback function: Quit */
#define  PANEL_2_CHANNEL                 4       /* callback function: configPanel */
#define  PANEL_2_OUTPUT                  5       /* callback function: configPanel */
#define  PANEL_2_INPUT                   6       /* callback function: configPanel */
#define  PANEL_2_DATA                    7       /* callback function: configPanel */
#define  PANEL_2_SIGNAL                  8       /* callback function: configPanel */
#define  PANEL_2_UNIT                    9       /* callback function: configPanel */
#define  PANEL_2_LINK                    10      /* callback function: configPanel */
#define  PANEL_2_FRONT                   11      /* callback function: configPanel */

#define  PANEL_3                         3
#define  PANEL_3_QUIT                    2       /* callback function: Quit */
#define  PANEL_3_BACK                    3       /* callback function: Back */
#define  PANEL_3_GRAPH                   4       /* callback function: displayPanel */
#define  PANEL_3_BINNUMBER               5       /* callback function: displayPanel */

#define  PANEL_MAIN                      4


     /* Menu Bars, Menus, and Menu Items: */

#define  MENU                            1
#define  MENU_PANELHELP                  2       /* callback function: PanelHelp */

#define  MENU_1                          2
#define  MENU_1_PANELHELP                2       /* callback function: PanelHelp */

#define  MENU_2                          3
#define  MENU_2_PANELHELP                2       /* callback function: PanelHelp */

#define  MENU_3                          4
#define  MENU_3_PANELHELP                2       /* callback function: PanelHelp */


     /* Callback Prototypes: */ 

int  CVICALLBACK Back(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Cancel(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK configPanel(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK displayPanel(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK initPanel(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK PanelHelp(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK Quit(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
